import { d as Xe, V as Ge, u as We, f as je, b as Qe, r as n, a4 as d, aw as Ke, hc as Ze, c as v, o as _, w as i, j as s, W as et, l as o, H as tt, D as z, aI as at, p as N, A as S, B as rt, ca as M, gW as $, gX as P, U as ot, M as it, aH as st, cO as lt, fm as nt, cq as mt, i as ct, X as ut, ac as E, bR as dt, R as pt, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as vt } from "./BasicForm-dL_oCSPM.js";
import { _ as _t } from "./BackButtonText.vue_vue_type_script_setup_true_lang-Dtx94mZF.js";
import { c as ft } from "./componentSetting-DVhNDBTO.js";
import { g as gt, s as yt, c as wt, u as ce, a as ue, b as bt, __tla as __tla_1 } from "./columns-0GoiBHi9.js";
import { B as H } from "./Table-0PViRYCf.js";
import { v as ht, __tla as __tla_2 } from "./schemas-DzvLPsci.js";
import { _ as Tt } from "./Tooltip.vue_vue_type_script_setup_true_lang-Wh9Bj3ir.js";
import { N as kt, u as de, c as pe, b as Ft, a7 as Ct } from "./template-rpthWlT9.js";
import { b as Nt } from "./configureForm-RWeNQ4IB.js";
import { _ as St, __tla as __tla_3 } from "./ExamineAndApproveForm.vue_vue_type_script_setup_true_lang-CexJQSh_.js";
import { u as Rt } from "./useTags-C1thGhjF.js";
import { u as Dt, c as It } from "./index-CKrxNOjs.js";
import { f as Et } from "./format-DgF6KtHk.js";
import { u as ve } from "./useForm-CKmgcynv.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import { __tla as __tla_4 } from "./columns-CcSTU2Qa.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
import "./isEmpty-BUg1OsQj.js";
import { __tla as __tla_5 } from "./schemas-BqGurRC_.js";
let Da;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_3;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_4;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_5;
        } catch  {}
    })()
]).then(async ()=>{
    let Lt, Ot, xt, Bt;
    Lt = [
        {
            key: 1,
            item: "crew.master.item_1_1",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 1,
            item: "crew.master.item_1_2",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 1,
            item: "crew.master.item_1_3",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 1,
            item: "crew.master.item_1_4",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 1,
            item: "crew.master.item_1_5",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 2,
            item: "crew.master.item_2_1",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 2,
            item: "crew.master.item_2_2",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 2,
            item: "crew.master.item_2_3",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            key: 3,
            item: "crew.master.item_3_1",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        }
    ];
    Ot = [
        {
            item: "crew.CE.item_1_1",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_1_2",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_1_3",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_1_4",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_1_5",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_1_6",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_2_1",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_2_2",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        },
        {
            item: "crew.CE.item_3_1",
            item_value: "",
            YN: "",
            remark: "",
            company: ""
        }
    ];
    xt = [
        {
            item: "crew.evaForm.item_1",
            category: "crew.evaForm.item_1_1",
            result: ""
        },
        {
            item: "crew.evaForm.item_1",
            category: "crew.evaForm.item_1_2",
            result: ""
        },
        {
            item: "crew.evaForm.item_1",
            category: "crew.evaForm.item_1_3",
            result: ""
        },
        {
            item: "crew.evaForm.item_1",
            category: "crew.evaForm.item_1_4",
            result: ""
        },
        {
            item: "crew.evaForm.item_1",
            category: "crew.evaForm.item_1_5",
            result: ""
        },
        {
            item: "crew.evaForm.item_2",
            category: "crew.evaForm.item_2_1",
            result: ""
        },
        {
            item: "crew.evaForm.item_2",
            category: "crew.evaForm.item_2_2",
            result: ""
        },
        {
            item: "crew.evaForm.item_2",
            category: "crew.evaForm.item_2_3",
            result: ""
        },
        {
            item: "crew.evaForm.item_2",
            category: "crew.evaForm.item_2_4",
            result: ""
        },
        {
            item: "crew.evaForm.item_2",
            category: "crew.evaForm.item_2_5",
            result: ""
        },
        {
            item: "crew.evaForm.item_3",
            category: "crew.evaForm.item_3_1",
            result: ""
        },
        {
            item: "crew.evaForm.item_3",
            category: "crew.evaForm.item_3_2",
            result: ""
        },
        {
            item: "crew.evaForm.item_3",
            category: "crew.evaForm.item_3_3",
            result: ""
        },
        {
            item: "crew.evaForm.item_3",
            category: "crew.evaForm.item_3_4",
            result: ""
        },
        {
            item: "crew.evaForm.item_3",
            category: "crew.evaForm.item_3_5",
            result: ""
        }
    ];
    Bt = [
        {
            title: "crew.oilTable.item_1",
            score: 5
        },
        {
            title: "crew.oilTable.item_2",
            score: 5
        },
        {
            title: "crew.oilTable.item_3",
            score: 5
        },
        {
            title: "crew.oilTable.item_4",
            score: 5
        },
        {
            title: "crew.oilTable.item_5",
            score: 5
        },
        {
            title: "crew.oilTable.item_6",
            score: 5
        },
        {
            title: "crew.oilTable.item_7",
            score: 5
        },
        {
            title: "crew.oilTable.item_8",
            score: 5
        },
        {
            title: "crew.oilTable.item_9",
            score: 5
        },
        {
            title: "crew.oilTable.item_10",
            score: 5
        },
        {
            title: "crew.oilTable.item_11",
            score: 5,
            isScore: !0
        },
        {
            title: "crew.oilTable.item_12",
            isTitle: !0
        },
        {
            title: "crew.oilTable.item_13",
            isYes: "",
            required: !0
        },
        {
            title: "crew.oilTable.item_18",
            remark: "",
            required: !0
        }
    ];
    Da = Xe({
        __name: "addOil",
        setup (Yt) {
            const { t: m } = Ge(), u = We(), p = je(), _e = Qe(), { closeCurrentTabToBack: fe } = Rt(), X = n(), G = n(), ge = n(), ye = n(), W = n(), F = n(), y = n(), R = n([]), r = n({
                editFlag: !0,
                approveFlag: !1,
                submitFlag: !0
            }), f = n(), C = n({
                id: 0,
                name: "",
                code: "",
                status: 0,
                sort: 0,
                roleType: 0,
                createTime: "",
                updateTime: "",
                shortNameEn: "",
                shortName: "",
                templateType: ""
            }), j = n({
                list: [],
                total: 0
            }), Q = n({
                list: [],
                total: 0
            }), K = n({
                list: [],
                total: 0
            }), Z = n([]), ee = n([]), te = n([]), ae = n([]), L = n([]), w = n([]), O = d(()=>p.query.type === "add"), x = d(()=>p.query.type === "edit"), B = d(()=>p.query.type === "view"), g = d(()=>f.value?.shipTypeId === 1), we = d(()=>B.value || !r.value?.editFlag), be = d(()=>(O.value || x.value) && r.value?.approveFlag), he = d(()=>(O.value || x.value) && r.value?.editFlag), Te = d(()=>(O.value || x.value) && r.value?.submitFlag), re = d(()=>{
                switch(C.value?.templateType){
                    case "Captain":
                        return {
                            ref: ge,
                            columns: Re
                        };
                    case "ChiefEngineer":
                        return {
                            ref: ye,
                            columns: De
                        };
                    case "OtherCrew":
                        return {
                            ref: W,
                            columns: oe
                        };
                    default:
                        return {
                            ref: W,
                            columns: oe
                        };
                }
            }), Y = d(()=>re.value.ref), ke = d(()=>re.value.columns), { schemasUpload: Fe } = yt(), [Ce] = ve({
                schemas: Fe,
                labelWidth: "auto",
                layout: "horizontal",
                collapsed: !0,
                gridProps: {
                    cols: 4,
                    xGap: 15
                },
                showActionButtonGroup: !1
            }), { addOilColumns: Ne, addOilTColumns: Se, addColumns: Re, addCEColumns: De, addEvColumns: oe, methods: b } = gt(), { addOilSchemas: Ie, methods: h } = wt(U, ie, xe), [Ee, { submit: Le, setFieldsValue: T, getFieldsValue: Oe }] = ve({
                gridProps: {
                    cols: 12
                },
                schemas: Ie,
                labelPlacement: "top",
                showActionButtonGroup: !1,
                layout: "horizontal"
            });
            function U(e) {
                f.value = ht.find((t)=>t.id === e) || void 0, h.updateShipTypeId(f.value?.shipTypeId !== 1), T({
                    imo: f.value?.imo
                });
            }
            async function ie(e) {
                T({
                    crewId: ""
                });
                const t = await Ct();
                if (C.value = t.find((a)=>a.id === e), h.updateCrewNameList(f.value?.id, e), g.value) await le(), await E(()=>A());
                else {
                    const a = await Nt({
                        rank: e,
                        module: 2,
                        shipCategory: "2"
                    });
                    Z.value = a.map((l)=>({
                            ...l,
                            score: 5
                        })), await E(()=>{
                        q(), b.setTitle(C.value?.code || "");
                    });
                }
            }
            async function xe(e) {
                const t = await It({
                    vesselId: f.value?.id,
                    rankId: C.value?.id
                });
                if (!Array.isArray(t)) {
                    console.error("获取船员服务资格数据失败：返回非数组", t), u.error(m("common.loadFailed"));
                    return;
                }
                const a = t.find((l)=>l.crewId === e);
                a && T({
                    onBroadDate: a.signOnDate,
                    onBroadPort: a.onBoardPlace,
                    evaluateDate: Et(new Date, "yyyy-MM-dd"),
                    assessor: _e.getUserInfo.nickname
                });
            }
            function Be() {
                return [
                    {
                        contentCn: "平均分",
                        contentEn: "Average Score",
                        isScore: !0,
                        score: 5
                    },
                    {
                        contentCn: "推荐培训和课程",
                        contentEn: "Recommended Training/Courses",
                        isText: !0,
                        remark: ""
                    }
                ];
            }
            async function Ye() {
                const e = R.value.map((l)=>({
                        fileName: l.thumbnailUrl || ""
                    })), t = {
                    ...Oe(),
                    crewEvaluateInfoFileDtoList: e,
                    documentType: p.query.documentType
                };
                (p.query.id || r.value?.id) && (t.id = Number(p.query.id) || r.value?.id), !g.value && w.value.length && (t.competenceAssessment = w.value[0].isYes === "5" ? 1 : 0, t.blackRemarks = w.value[1].remark);
                const a = await bt(t);
                r.value = a;
            }
            async function se(e) {
                if (!await Le()) {
                    u.warning(m("configureForm.pleaseCheckIfTheContentHasBeenFilledInCompletely"));
                    return;
                }
                if (!g.value) {
                    const a = await y.value?.getDataSource() ?? [];
                    if (w.value = a.filter((l)=>l.required), !w.value[0]?.isYes || !w.value[1]?.remark?.trim()) {
                        u.warning(m("configureForm.pleaseCheckIfTheContentHasBeenFilledInCompletely"));
                        return;
                    }
                }
                try {
                    await Ye(), await Ue(), u.success(m("common.saveSuccessText")), e === 1 && (await kt({
                        shipId: f.value?.id,
                        busId: r.value?.id,
                        moduleCode: r.value?.moduleCode
                    }), u.success(m("jobPlan.viewDetails.btnSubmit")), ne());
                } catch (a) {
                    console.error("保存失败:", a), u.error(m("common.saveFailedText"));
                }
            }
            async function Ue() {
                let e = "";
                const { templateUid: t, templateCode: a } = r.value || {};
                if (g.value) {
                    const l = Y.value?.value;
                    L.value = l?.getDataSource(), t ? await de({
                        uuid: t,
                        template_code: a,
                        list: L.value
                    }) : (e = await pe({
                        template_code: a,
                        list: L.value
                    }), await ce({
                        id: r.value?.id,
                        templateUid: e
                    }));
                } else {
                    const l = F.value?.getDataSource() ?? [], k = y.value?.getDataSource() ?? [];
                    t ? (e = t, await de({
                        uuid: e,
                        template_code: a,
                        leftList: l,
                        rightList: k
                    })) : (e = await pe({
                        template_code: a,
                        leftList: l,
                        rightList: k
                    }), await ce({
                        id: r.value?.id,
                        templateUid: e
                    }));
                }
                e && (r.value = await ue(Number(r.value?.id)));
            }
            async function qe() {
                try {
                    let e = [];
                    r.value?.templateUid ? e = [
                        ...JSON.parse(JSON.stringify(ee.value))
                    ] : e = [
                        ...JSON.parse(JSON.stringify(Z.value)),
                        ...Be()
                    ], b.getLeftData(e);
                    const t = {
                        list: e,
                        total: e.length
                    };
                    return j.value = t, t;
                } catch (e) {
                    return console.error("加载油化左侧表格数据失败:", e), u.error(m("common.loadFailed")), {
                        list: [],
                        total: 0
                    };
                }
            }
            async function Ae() {
                try {
                    let e = [];
                    r.value?.templateUid ? e = [
                        ...JSON.parse(JSON.stringify(te.value))
                    ] : e = [
                        ...JSON.parse(JSON.stringify(Bt))
                    ], b.getRightData(e.slice(0, 11));
                    const t = {
                        list: e,
                        total: e.length
                    };
                    return Q.value = t, t;
                } catch (e) {
                    return console.error("加载油化右侧表格数据失败:", e), u.error(m("common.loadFailed")), {
                        list: [],
                        total: 0
                    };
                }
            }
            async function le() {
                try {
                    let e = [];
                    const { templateType: t } = C.value || {};
                    if (r.value?.templateUid) e = ae.value;
                    else switch(t){
                        case "Captain":
                            e = [
                                ...JSON.parse(JSON.stringify(Lt))
                            ];
                            break;
                        case "ChiefEngineer":
                            e = [
                                ...JSON.parse(JSON.stringify(Ot))
                            ];
                            break;
                        case "OtherCrew":
                            e = [
                                ...JSON.parse(JSON.stringify(xt))
                            ];
                            break;
                        default:
                            e = [];
                    }
                    const a = {
                        list: e,
                        total: e.length
                    };
                    return K.value = a, a;
                } catch (e) {
                    return console.error("加载干散表格数据失败:", e), u.error(m("common.loadFailed")), {
                        list: [],
                        total: 0
                    };
                }
            }
            function q() {
                F.value?.restReload(), F.value?.setBordered(!0), F.value?.setStriped(!1), y.value?.restReload(), y.value?.setBordered(!0), y.value?.setStriped(!1);
            }
            function A() {
                const e = Y.value?.value;
                e?.restReload(), e?.setBordered(!0), e?.setStriped(!1);
            }
            function Ve() {
                X.value?.handleOpenModal(r.value?.crewName, r.value?.crewNameEn);
            }
            function Je(e) {
                G.value?.handleOpenModal(Number(r.value?.id), r.value?.moduleCode, e);
            }
            function ne() {
                fe();
            }
            async function ze() {
                try {
                    const e = await Dt();
                    if (T({
                        managementCompany: e?.companyName
                    }), p.query.id) {
                        const t = Number(p.query.id);
                        if (r.value = await ue(t), await h.updateCrewNameList(r.value.vesselId, r.value.rankId), U(Number(r.value?.vesselId)), await ie(Number(r.value?.rankId)), T({
                            ...r.value
                        }), r.value.crewEvaluateInfoFileVoList && r.value.crewEvaluateInfoFileVoList.length > 0 && (R.value = r.value.crewEvaluateInfoFileVoList.map((a)=>({
                                id: a.fileName || "",
                                url: a.fileUrl || "",
                                name: a.fileName?.split("/").pop() || "",
                                thumbnailUrl: a.fileName || "",
                                fileType: a.fileType,
                                status: "finished"
                            }))), r.value.templateUid) {
                            const a = await Ft({
                                templateCode: r.value.templateCode,
                                uuid: r.value.templateUid
                            });
                            await E(), g.value ? (ae.value = a.list, A()) : (ee.value = [
                                ...a.leftList
                            ], te.value = [
                                ...a.rightList
                            ], b.getLeftData(a.leftList), b.getRightData(a.rightList.slice(0, 11)), q());
                        } else await E(), g.value ? A() : q();
                    }
                } catch (e) {
                    console.error("初始化数据失败:", e), u.error(m("common.initFailed"));
                }
            }
            function Me({ file: e, event: t }) {
                try {
                    const a = dt("(" + t.target.response + ")"), { infoField: l } = ft.upload.apiSetting, { code: k } = a, V = a.msg || a.message || "上传失败", D = a[l];
                    k === pt.SUCCESS ? e.thumbnailUrl = D.name : u.error(V);
                } catch  {}
            }
            return Ke(async ()=>{
                const e = await Ze();
                T({
                    vesselId: e[0].id
                }), U(e[0].id), h.updateHidden(p.query.documentType !== "2"), h.updateEdict(!!p.query.id), h.updateReadOnly(B.value), b.updateReadOnly(B.value), ze();
            }), (e, t)=>{
                const a = rt, l = at, k = _t, V = tt, D = vt, J = et, I = it, me = ot, $e = st, Pe = ut;
                return _(), v(Pe, null, {
                    default: i(()=>[
                            s(J, {
                                bordered: !1,
                                class: "mb-3 proCard",
                                title: o(m)("common.basicInformation"),
                                segmented: {
                                    content: !0,
                                    footer: "soft"
                                }
                            }, {
                                "header-extra": i(()=>[
                                        s(V, null, {
                                            default: i(()=>[
                                                    o(be) ? (_(), v(l, {
                                                        key: 0,
                                                        trigger: "hover"
                                                    }, {
                                                        trigger: i(()=>[
                                                                s(a, {
                                                                    type: "primary",
                                                                    strong: "",
                                                                    bordered: "",
                                                                    secondary: "",
                                                                    class: "size-7",
                                                                    onClick: t[0] || (t[0] = (c)=>Ve())
                                                                }, {
                                                                    icon: i(()=>[
                                                                            (_(), v(M(o($)(o(P).approve, "text-[#xe628] text-[14px]"))))
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        default: i(()=>[
                                                                N(" " + S(o(m)("common.examineAndApprove")), 1)
                                                            ]),
                                                        _: 1
                                                    })) : z("", !0),
                                                    o(he) ? (_(), v(l, {
                                                        key: 1,
                                                        trigger: "hover"
                                                    }, {
                                                        trigger: i(()=>[
                                                                s(a, {
                                                                    type: "primary",
                                                                    strong: "",
                                                                    bordered: "",
                                                                    secondary: "",
                                                                    class: "size-7",
                                                                    onClick: t[1] || (t[1] = (c)=>se(null))
                                                                }, {
                                                                    icon: i(()=>[
                                                                            (_(), v(M(o($)(o(P).save))))
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        default: i(()=>[
                                                                N(" " + S(o(m)("common.saveText")), 1)
                                                            ]),
                                                        _: 1
                                                    })) : z("", !0),
                                                    o(Te) ? (_(), v(l, {
                                                        key: 2,
                                                        trigger: "hover"
                                                    }, {
                                                        trigger: i(()=>[
                                                                s(a, {
                                                                    type: "primary",
                                                                    strong: "",
                                                                    bordered: "",
                                                                    secondary: "",
                                                                    class: "size-7",
                                                                    onClick: t[2] || (t[2] = (c)=>se(1))
                                                                }, {
                                                                    icon: i(()=>[
                                                                            (_(), v(M(o($)(o(P).submit))))
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        default: i(()=>[
                                                                N(" " + S(o(m)("common.optionsSubmitText")), 1)
                                                            ]),
                                                        _: 1
                                                    })) : z("", !0),
                                                    s(l, {
                                                        trigger: "hover"
                                                    }, {
                                                        trigger: i(()=>[
                                                                s(k)
                                                            ]),
                                                        default: i(()=>[
                                                                N(" " + S(o(m)("common.back")), 1)
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                default: i(()=>[
                                        s(D, {
                                            ref: "basicForm",
                                            onRegister: o(Ee)
                                        }, null, 8, [
                                            "onRegister"
                                        ])
                                    ]),
                                _: 1
                            }, 8, [
                                "title"
                            ]),
                            s(J, {
                                bordered: !1,
                                class: "mb-3 proCard",
                                title: o(m)("common.evaluationForm"),
                                segmented: {
                                    content: !0,
                                    footer: "soft"
                                }
                            }, {
                                default: i(()=>[
                                        o(g) ? (_(), v(me, {
                                            key: 0,
                                            cols: "24"
                                        }, {
                                            default: i(()=>[
                                                    s(I, {
                                                        span: "24"
                                                    }, {
                                                        default: i(()=>[
                                                                s(o(H), {
                                                                    ref: o(Y),
                                                                    columns: o(ke),
                                                                    request: le,
                                                                    data: K.value.list,
                                                                    "row-key": (c)=>c.id,
                                                                    autoScrollX: !0,
                                                                    immediate: !1,
                                                                    pagination: !1,
                                                                    showTableSetting: !1,
                                                                    canResize: !1
                                                                }, null, 8, [
                                                                    "columns",
                                                                    "data",
                                                                    "row-key"
                                                                ])
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })) : (_(), v(me, {
                                            key: 1,
                                            cols: "24"
                                        }, {
                                            default: i(()=>[
                                                    s(I, {
                                                        span: "11"
                                                    }, {
                                                        default: i(()=>[
                                                                s(o(H), {
                                                                    ref_key: "oilTableRef",
                                                                    ref: F,
                                                                    columns: o(Ne),
                                                                    request: qe,
                                                                    data: j.value.list,
                                                                    "row-key": (c)=>c.id,
                                                                    autoScrollX: !0,
                                                                    immediate: !1,
                                                                    pagination: !1,
                                                                    showTableSetting: !1,
                                                                    canResize: !1
                                                                }, null, 8, [
                                                                    "columns",
                                                                    "data",
                                                                    "row-key"
                                                                ])
                                                            ]),
                                                        _: 1
                                                    }),
                                                    s(I, {
                                                        span: "1"
                                                    }),
                                                    s(I, {
                                                        span: "12"
                                                    }, {
                                                        default: i(()=>[
                                                                s(o(H), {
                                                                    ref_key: "oilRightTableRef",
                                                                    ref: y,
                                                                    columns: o(Se),
                                                                    request: Ae,
                                                                    data: Q.value.list,
                                                                    "row-key": (c)=>c.id,
                                                                    autoScrollX: !0,
                                                                    immediate: !1,
                                                                    pagination: !1,
                                                                    showTableSetting: !1,
                                                                    canResize: !1
                                                                }, null, 8, [
                                                                    "columns",
                                                                    "data",
                                                                    "row-key"
                                                                ])
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        }))
                                    ]),
                                _: 1
                            }, 8, [
                                "title"
                            ]),
                            s(J, {
                                bordered: !1,
                                class: "proCard mb-3",
                                title: o(m)("noticeCircular.general.Attachment"),
                                segmented: {
                                    content: !0,
                                    footer: "soft"
                                }
                            }, {
                                default: i(()=>[
                                        s(D, {
                                            onRegister: o(Ce)
                                        }, {
                                            attachment: i(({})=>[
                                                    s($e, {
                                                        action: `${o(mt)().urlPrefix}/files`,
                                                        accept: ".doc,.docx,.pdf,.xls,.xlsx",
                                                        headers: {
                                                            timestamp: new Date().getTime(),
                                                            authorization: `${o(lt).get(o(nt))}`
                                                        },
                                                        max: 15,
                                                        "file-list": R.value,
                                                        "onUpdate:fileList": t[3] || (t[3] = (c)=>R.value = c),
                                                        onFinish: t[4] || (t[4] = ({ file: c, event: He })=>Me({
                                                                file: c,
                                                                event: He
                                                            })),
                                                        class: "uploadStyle",
                                                        "file-list-style": {
                                                            margin: 0,
                                                            flex: 1
                                                        },
                                                        disabled: o(we)
                                                    }, {
                                                        default: i(()=>[
                                                                s(l, {
                                                                    trigger: "hover"
                                                                }, {
                                                                    trigger: i(()=>[
                                                                            s(a, {
                                                                                strong: "",
                                                                                secondary: "",
                                                                                class: "size-7"
                                                                            }, {
                                                                                icon: i(()=>t[6] || (t[6] = [
                                                                                        ct("i", {
                                                                                            class: "iconfont icon-upload1"
                                                                                        }, null, -1)
                                                                                    ])),
                                                                                _: 1
                                                                            })
                                                                        ]),
                                                                    default: i(()=>[
                                                                            N(" " + S(o(m)("hsqe.rs.uploadText")), 1)
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        _: 1
                                                    }, 8, [
                                                        "action",
                                                        "headers",
                                                        "file-list",
                                                        "disabled"
                                                    ])
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "onRegister"
                                        ])
                                    ]),
                                _: 1
                            }, 8, [
                                "title"
                            ]),
                            s(St, {
                                ref_key: "examineAndApproveRef",
                                ref: G,
                                onSuccess: t[5] || (t[5] = (c)=>ne())
                            }, null, 512),
                            s(Tt, {
                                ref_key: "tooltipRef",
                                ref: X,
                                onSuccess: Je
                            }, null, 512)
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Da as default, __tla };
